CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

ExtLine1Point Property (ActiveX)

2023-1-3 16:55| 发布者: admin| 查看: 724| 评论: 0|来自: AutoCAD

摘要: 指定扩展线 1 的原点。

指定扩展线 1 的原点。

支持的平台:仅窗口

签名

工 务 局:

object.ExtLine1Point
对象

类型:对齐暗弧长度

此属性适用的对象。

属性值

只读:

类型:变体(双精度的三元素数组)

表示第一条延伸线原点的 3D 坐标。

言论

对齐尺寸的尺寸线将与连接延伸线 1 和 2 原点的线平行。



要标注尺寸的线



创建的维度

例子

工 务 局:

Sub Example_ExtLine1Point()
    ' This example creates an aligned dimension and then changes the
    ' ExtLine1Point property for that dimension.

    Dim dimObj As AcadDimAligned
    Dim point1(0 To 2) As Double
    Dim point2(0 To 2) As Double
    Dim location(0 To 2) As Double
    
    ' Define the dimension
    point1(0) = 5#: point1(1) = 5#: point1(2) = 0#
    point2(0) = 10#: point2(1) = 5#: point2(2) = 0#
    location(0) = 5#: location(1) = 7#: location(2) = 0#
    
    ' Create an aligned dimension object in model space
    Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(point1, point2, location)
    ZoomAll
    MsgBox "The current value for ExtLine1Point is " & dimObj.ExtLine1Point(0) & ", " & dimObj.ExtLine1Point(1) & ", " & dimObj.ExtLine1Point(2), vbInformation, "ExtLine1Point Example"
    
    ' Change the endpoint of the first extension line
    point1(0) = 2: point1(1) = 5: point1(2) = 0
    dimObj.ExtLine1Point = point1
    dimObj.Update
    
    ' Return the endpoint of the first extension line
    ' Note that the return value is a Variant
    Dim retPnt As Variant
    retPnt = dimObj.ExtLine1Point
    
    MsgBox "The new value for ExtLine1Point is " & dimObj.ExtLine1Point(0) & ", " & dimObj.ExtLine1Point(1) & ", " & dimObj.ExtLine1Point(2), vbInformation, "ExtLine1Point Example"
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_ExtLine1Point()
    ;; This example creates an aligned dimension and then changes the
    ;; ExtLine1Point property for that dimension.
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    ;; Define the dimension
    (setq point1 (vlax-3d-point 5 5 0)
          point2 (vlax-3d-point 10 5 0)
          location (vlax-3d-point 5 7 0))
    
    ;; Create an aligned dimension object in model space
    (setq modelSpace (vla-get-ModelSpace doc))  
    (setq dimObj (vla-AddDimAligned modelSpace point1 point2 location))
    (vla-ZoomAll acadObj)

    (setq extLinePoint (vlax-safearray->list (vlax-variant-value (vla-get-ExtLine1Point dimObj))))
    (alert (strcat "The current value for ExtLine1Point is " (rtos (nth 0 extLinePoint) 2) ", "
		                                             (rtos (nth 1 extLinePoint) 2) ", "
		                                             (rtos (nth 2 extLinePoint) 2)))
  
    ;; Change the endpoint of the first extension line
    (setq point1 (vlax-3d-point 2 5 0))
    (vla-put-ExtLine1Point dimObj point1)
    (vla-Update dimObj)
    
    ;; Return the endpoint of the first extension line
    ;; Note that the return value is a Variant
    (setq retPnt (vlax-safearray->list (vlax-variant-value (vla-get-ExtLine1Point dimObj))))
    (alert (strcat "The new value for ExtLine1Point is " (rtos (nth 0 retPnt) 2) ", "
		                                         (rtos (nth 1 retPnt) 2) ", "
		                                         (rtos (nth 2 retPnt) 2)))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-11 12:52

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部